# Machine utilization report (/docs/api-reference/reports/ReportsController_getUtilization)

`GET /api/factories/{factoryId}/reports/utilization`

Base URL: https://api.xentr.ai

Authentication: bearer token (`Authorization: Bearer <token>`).

## Parameters

| Name | In | Required | Type | Description |
| --- | --- | --- | --- | --- |
| `factoryId` | path | yes | string | Factory ID |
| `from` | query | yes | string | Start time (ISO 8601) |
| `to` | query | yes | string | End time (ISO 8601) |
| `accept` | header | yes | string |  |
| `machineIds` | query | no |  | Comma-separated machine IDs or codes. When set, only those machines are included. |

## Responses

### 200: Utilization data per machine